## com.sun.jersey.server.wadl
Interface WadlApplicationContext

    public interface WadlApplicationContext

A context to obtain WADL-based information.

Author:
  Paul.Sandoz

Method Summary
`ApplicationDescription` | `getApplication(UriInfo ui)` Get a new instance of a `ApplicationDescription` corresponding to all the root resource classes, and configure the base URI.
`com.sun.research.ws.wadl.Application` | `getApplication(UriInfo info, AbstractResource resource, java.lang.String path)` Get a new instance of `Application` for a particular resource
`javax.xml.bind.JAXBContext` | `getJAXBContext()` Get the default JAXB context associated with the `WadlGenerator` for the Web application.
`boolean` | `isWadlGenerationEnabled()` Get WADL generation status.
`void` | `setWadlGenerationEnabled(boolean wadlGenerationEnabled)` Enable/disable WADL generation.

Method Detail

### getApplication

    ApplicationDescription getApplication(UriInfo ui)

  Get a new instance of a `ApplicationDescription` corresponding to all the root resource classes, and configure the base URI.

  Parameters:
    `ui` - the URI information from which the base URI is set on the WADL application.
  Returns:
    the application description, the contents may be modified.

### getApplication

    com.sun.research.ws.wadl.Application getApplication(UriInfo info,
                                                        AbstractResource resource,
                                                        java.lang.String path)

  Get a new instance of `Application` for a particular resource

  Parameters:
    `info` - the URI information from which the base URI is set on the WADL application.
    `resource` - the resource to build the Application for
    `path` - the path to this resource
  Returns:
    the application for this resource

### getJAXBContext

    javax.xml.bind.JAXBContext getJAXBContext()

  Get the default JAXB context associated with the `WadlGenerator` for the Web application.

  Returns:
    the default JAXB context.

### setWadlGenerationEnabled

    void setWadlGenerationEnabled(boolean wadlGenerationEnabled)

  Enable/disable WADL generation.

  Parameters:
    `wadlGenerationEnabled` - if wadlGenerationEnabled is true and `ResourceConfig.FEATURE_DISABLE_WADL` is false, WADL generation is enabled. In all other cases is disabled.

### isWadlGenerationEnabled

    boolean isWadlGenerationEnabled()

  Get WADL generation status.

  Returns:
    true when WADL generation is enabled. Does not take `ResourceConfig.FEATURE_DISABLE_WADL`

Copyright © 2017 Oracle Corporation. All Rights Reserved.